<?php
session_start();
require_once 'script_php/ConexaoSQL.php';
require_once 'gerador/SqlServer.php';
require_once 'gerador/MysqlConsulta.php';
require "script_php/conexao.php";

$mysql = new MysqlConsulta();
$sql = new SqlServer();
?>

<!DOCTYPE html>
<html>
<head>

<?php include_once 'head.html' ?>

<title></title>
</head>

<body>

<?php include_once 'header.php'; ?>

<section  class="tabelaindex">
<h3> Produtos serão desativados ao zerar o estoque</h3>

<p></p>

<table class="table  table-striped" >


<tr class="table-dark">

<th> ID </th>
<th>COD MERC</th>
<th> MERCADORIA </th>
<th>ESTOQUE</th>
<th>EXCLUI</th>


</tr>
<?php

$dados = $mysql->desativarDados($conexao);
foreach($dados as $dados2){
    ?>
    
    <tr>
    <td><?php echo $dados2['ID'];?></td>
    <td><?php echo $dados2['COD'];?></td>

    <td><?php echo $sql->BuscarNomePeloCodigo($dados2['COD']);?></td>    
    <td>
    <?php $loja = $sql->BuscarEstoquePeloCodigo($dados2['COD']);
    
    if (empty($loja)){
        $sql->destivarMercadoria($dados2['COD']);
    }

    foreach($loja as $lojas){echo $lojas[0] . " [ " . $lojas[1] . " ]  | ";}
    
    ?></td>
    <td>

    <a href="script_php/exluirDesativar.php?id=<?= $dados2['ID']?>">

    <button type="button" class="btn btn-danger">Finalizado</button>

    </a>
    </td>


    
</tr>

<?php } ?>


</table>


</section>


<?php include_once 'footer.php' ?>